from strictyaml.ruamel import RoundTripDumper as RoundTripDumper, dump as dump
from strictyaml.ruamel.comments import (
    CommentedMap as CommentedMap,
    CommentedSeq as CommentedSeq,
)

unicode = str

class YAMLPointer:
    def __init__(self) -> None: ...
    @property
    def last_index(self): ...
    @property
    def last_val(self): ...
    @property
    def last_strictkey(self): ...
    @property
    def last_regularkey(self): ...
    def val(self, regularkey, strictkey): ...
    def is_val(self): ...
    def key(self, regularkey, strictkey): ...
    def is_key(self): ...
    def index(self, index): ...
    def is_index(self): ...
    def textslice(self, start, end): ...
    def is_textslice(self): ...
    def parent(self): ...
    def make_child_of(self, pointer) -> None: ...
    def start_line(self, document): ...
    def end_line(self, document): ...
    def lines(self, document): ...
    def lines_before(self, document, how_many): ...
    def lines_after(self, document, how_many): ...
    def get(self, document, strictdoc: bool = ...): ...
    def set(self, src_obj, src_attr, new_ruamel, strictdoc: bool = ...) -> None: ...
